com.genesyslab.wfm7.API.service.forecast720

## Class FrcActivityDataObjectives

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast720.FrcActivityDataObjectives

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityDataObjectives
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `abandonPCT` Abandoned calls %
    `private int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId is not 0
    `private double` | `ASA` Average Speed Of Answer
    `private int` | `buId` Business Unit ID
    `private double` | `maxOccPCT` Maximum Occupancy %
    `private double` | `periodStart` Period start date time
    `private double` | `servicePCT` Service Level %
    `private int` | `siteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityDataObjectives()`
    `FrcActivityDataObjectives(int siteId, int activityId, int buId, double periodStart, double servicePCT, double abandonPCT, double ASA, double maxOccPCT)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getAbandonPCT()` Gets the abandonPCT value for this FrcActivityDataObjectives.
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityDataObjectives.
    `double` | `getASA()` Gets the ASA value for this FrcActivityDataObjectives.
    `int` | `getBuId()` Gets the buId value for this FrcActivityDataObjectives.
    `double` | `getMaxOccPCT()` Gets the maxOccPCT value for this FrcActivityDataObjectives.
    `double` | `getPeriodStart()` Gets the periodStart value for this FrcActivityDataObjectives.
    `double` | `getServicePCT()` Gets the servicePCT value for this FrcActivityDataObjectives.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityDataObjectives.
    `int` | `hashCode()`
    `void` | `setAbandonPCT(double abandonPCT)` Sets the abandonPCT value for this FrcActivityDataObjectives.
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityDataObjectives.
    `void` | `setASA(double ASA)` Sets the ASA value for this FrcActivityDataObjectives.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityDataObjectives.
    `void` | `setMaxOccPCT(double maxOccPCT)` Sets the maxOccPCT value for this FrcActivityDataObjectives.
    `void` | `setPeriodStart(double periodStart)` Sets the periodStart value for this FrcActivityDataObjectives.
    `void` | `setServicePCT(double servicePCT)` Sets the servicePCT value for this FrcActivityDataObjectives.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityDataObjectives.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteId

          private int siteId

      Site ID

    - #### activityId

          private int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId is not 0

    - #### buId

          private int buId

      Business Unit ID

    - #### periodStart

          private double periodStart

      Period start date time

    - #### servicePCT

          private double servicePCT

      Service Level %

    - #### abandonPCT

          private double abandonPCT

      Abandoned calls %

    - #### ASA

          private double ASA

      Average Speed Of Answer

    - #### maxOccPCT

          private double maxOccPCT

      Maximum Occupancy %

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcActivityDataObjectives

          public FrcActivityDataObjectives()

    - #### FrcActivityDataObjectives

          public FrcActivityDataObjectives(int siteId,
                                   int activityId,
                                   int buId,
                                   double periodStart,
                                   double servicePCT,
                                   double abandonPCT,
                                   double ASA,
                                   double maxOccPCT)

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityDataObjectives.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityDataObjectives.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityDataObjectives.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityDataObjectives.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityDataObjectives.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityDataObjectives.
      Parameters:
        `buId` -

    - #### getPeriodStart

          public double getPeriodStart()

      Gets the periodStart value for this FrcActivityDataObjectives.
      Returns:
        periodStart Period start date and time

    - #### setPeriodStart

          public void setPeriodStart(double periodStart)

      Sets the periodStart value for this FrcActivityDataObjectives.
      Parameters:
        `periodStart` - Period start date and time

    - #### getServicePCT

          public double getServicePCT()

      Gets the servicePCT value for this FrcActivityDataObjectives.
      Returns:
        servicePCT Service level percentage value

    - #### setServicePCT

          public void setServicePCT(double servicePCT)

      Sets the servicePCT value for this FrcActivityDataObjectives.
      Parameters:
        `servicePCT` - Service level percentage value

    - #### getAbandonPCT

          public double getAbandonPCT()

      Gets the abandonPCT value for this FrcActivityDataObjectives.
      Returns:
        abandonPCT Abandoned Interaction percentage value

    - #### setAbandonPCT

          public void setAbandonPCT(double abandonPCT)

      Sets the abandonPCT value for this FrcActivityDataObjectives.
      Parameters:
        `abandonPCT` - Abandoned Interaction percentage value

    - #### getASA

          public double getASA()

      Gets the ASA value for this FrcActivityDataObjectives.
      Returns:
        ASA Average Speed of Answer value

    - #### setASA

          public void setASA(double ASA)

      Sets the ASA value for this FrcActivityDataObjectives.
      Parameters:
        `ASA` - Average Speed of Answer value

    - #### getMaxOccPCT

          public double getMaxOccPCT()

      Gets the maxOccPCT value for this FrcActivityDataObjectives.
      Returns:
        maxOccPCT Maximum Occupancy percentage value

    - #### setMaxOccPCT

          public void setMaxOccPCT(double maxOccPCT)

      Sets the maxOccPCT value for this FrcActivityDataObjectives.
      Parameters:
        `maxOccPCT` - Maximum Occupancy percentage value

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.